#pragma once

#include <maps/libs/pgpool/include/pgpool3.h>
#include <functional>
#include <string>

namespace maps::wiki::common {

void execCommitWithRetries(
    pgpool3::Pool& pool,
    const std::string& name,
    const std::string& searchPath,
    const std::string& query,
    const std::function<void(pqxx::transaction_base&)>& f = {});

} // namespace maps::wiki::common
